RSSOwl 2.1.4 is out

This bugfix release resolves an issue when synchronizing articles to Google Reader and receiving an error "Bad Request (400)". This could happen when RSSOwl synchronized several hundred articles in one chunk to Google. As such this issue was only showing up for power users. If you have never seen this problem, you can stay on 2.1.2.

Posted by Benjamin Pasero 2012-07-28